curl --request POST \
--url https://api.shuyou.ai/v1/predictions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "gemini-3.1-flash-image-preview",
"input": {
"prompt": "A cat playing on the grass"
}
}
'{
"data": {
"task_id": "2c4d50261173430290971a2395a3b607",
"task_status": "processing"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "<string>"
}
}Google Gemini
Gemini 3.1 Flash Image Preview (Nano Banana 2)
Create asynchronous image tasks with gemini-3.1-flash-image-preview (alias Nano Banana 2) via POST /v1/predictions.
POST
/
v1
/
predictions
curl --request POST \
--url https://api.shuyou.ai/v1/predictions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "gemini-3.1-flash-image-preview",
"input": {
"prompt": "A cat playing on the grass"
}
}
'{
"data": {
"task_id": "2c4d50261173430290971a2395a3b607",
"task_status": "processing"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "<string>"
}
}Authorizations
Authorization: Bearer YOUR_API_KEY
Body
application/json
Model ID. Use gemini-3.1-flash-image-preview (alias Nano Banana 2) for this endpoint.
Available options:
gemini-3.1-flash-image-preview Example:
"gemini-3.1-flash-image-preview"
Show child attributes
Show child attributes
Optional HTTPS callback URL when the task completes, fails, or is cancelled (Predictions API).
Response
Async task created
Show child attributes
Show child attributes